Api - Create Or Update
API Management サービス インスタンスの新しい API を作成するか、既存の指定された API を更新します。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
api
|
path | True |
string minLength: 1maxLength: 80 pattern: ^[^*#&+:<>?]+$ |
API リビジョン識別子。 現在の API Management サービス インスタンスで一意である必要があります。 最新のリビジョン以外には ;rev=n を接尾辞として指定します (n はリビジョン番号です)。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前は大文字と小文字が区別されます。 |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
API Management サービスの名前。 |
|
subscription
|
path | True |
string minLength: 1 |
ターゲット サブスクリプションの ID。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| If-Match |
string |
エンティティの ETag。 エンティティを作成する場合は必要ありませんが、エンティティを更新する場合は必須です。 |
要求本文
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| properties.path | True |
string minLength: 0maxLength: 400 |
この API と API Management サービス インスタンス内のすべてのリソース パスを一意に識別する相対 URL。 この API のパブリック URL を形成するために、サービス インスタンスの作成時に指定された API エンドポイントのベース URL に追加されます。 |
| apiRevision |
string minLength: 1maxLength: 100 |
API のリビジョンについて説明します。 値が指定されていない場合は、既定のリビジョン 1 が作成されます |
|
| apiRevisionDescription |
string maxLength: 256 |
API リビジョンの説明。 |
|
| apiVersion |
string maxLength: 100 |
API がバージョン管理されている場合は、API のバージョン識別子を示します |
|
| apiVersionDescription |
string maxLength: 256 |
API バージョンの説明。 |
|
| apiVersionSetId |
string |
関連する ApiVersionSet のリソース識別子。 |
|
| authenticationSettings |
この API に含まれる認証設定のコレクション。 |
||
| contact |
API の連絡先情報。 |
||
| description |
string |
API の説明。 HTML 書式設定タグを含めることができます。 |
|
| isCurrent |
boolean |
API リビジョンが現在の API リビジョンであるかどうかを示します。 |
|
| license |
API のライセンス情報。 |
||
| properties.apiType |
作成する API の種類。
|
||
| properties.apiVersionSet |
バージョン セットの詳細 |
||
| properties.displayName |
string minLength: 1maxLength: 300 |
API 名。 長さは 1 ~ 300 文字にする必要があります。 |
|
| properties.format |
API がインポートされるコンテンツの形式。 新しい形式は将来追加される可能性があります |
||
| properties.protocols |
Protocol[] |
この API の操作を呼び出すことができるプロトコルについて説明します。 |
|
| properties.serviceUrl |
string minLength: 0maxLength: 2000 |
この API を実装するバックエンド サービスの絶対 URL。 2,000 文字を超えることはできません。 |
|
| properties.sourceApiId |
string |
ソース API の API 識別子。 |
|
| properties.translateRequiredQueryParameters |
必要なクエリ パラメーターをテンプレートパラメーターに変換する戦略。 既定では、値は 'template' です。 使用可能な値: 'template'、'query' |
||
| properties.value |
string |
API のインポート時のコンテンツ値。 |
|
| properties.wsdlSelector |
WSDL のインポートをドキュメントのサブセットに制限する条件。 |
||
| subscriptionKeyParameterNames |
API を使用できるようにするプロトコル。 |
||
| subscriptionRequired |
boolean |
API にアクセスするために API サブスクリプションまたは製品サブスクリプションが必要かどうかを指定します。 |
|
| termsOfServiceUrl |
string |
API のサービス利用規約への URL。 URL の形式にする必要があります。 |
|
| type |
API の種類。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
要求は成功しました。 ヘッダー
|
|
| 201 Created |
要求が成功し、結果として新しいリソースが作成されました。 ヘッダー
|
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
ApiManagementCreateApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
}
},
"displayName": "apiname1463",
"protocols": [
"https",
"http"
],
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
ApiManagementCreateApiClone
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview
{
"properties": {
"path": "echo2",
"description": "Copy of Existing Echo Api including Operations.",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"serviceUrl": "http://echoapi.cloudapp.net/api",
"sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
"subscriptionRequired": true
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echoapi2",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
"properties": {
"path": "echo2",
"description": "Copy of Existing Echo Api including Operations.",
"apiRevision": "1",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echoapi2",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
"properties": {
"path": "echo2",
"description": "Copy of Existing Echo Api including Operations.",
"apiRevision": "1",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
ApiManagementCreateApiNewVersionUsingExistingApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview
{
"properties": {
"path": "echo2",
"description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
"apiVersion": "v4",
"apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"serviceUrl": "http://echoapi.cloudapp.net/api",
"sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
"subscriptionRequired": true
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "echoapiv3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
"properties": {
"path": "echo2",
"description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
"apiRevision": "1",
"apiVersion": "v4",
"apiVersionSet": {
"name": "Echo API2",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"versioningScheme": "Segment"
},
"apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echoapiv3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
"properties": {
"path": "echo2",
"description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
"apiRevision": "1",
"apiVersion": "v4",
"apiVersionSet": {
"name": "Echo API2",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"versioningScheme": "Segment"
},
"apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
ApiManagementCreateApiRevisionFromExistingApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview
{
"properties": {
"path": "echo",
"apiRevisionDescription": "Creating a Revision of an existing API",
"serviceUrl": "http://echoapi.cloudapp.net/apiv3",
"sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "echo-api;rev=3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
"properties": {
"path": "echo",
"apiRevision": "3",
"apiRevisionDescription": "Creating a Revision of an existing API",
"displayName": "Echo API",
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/apiv3",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echo-api;rev=3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
"properties": {
"path": "echo",
"apiRevision": "3",
"apiRevisionDescription": "Creating a Revision of an existing API",
"displayName": "Echo API",
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/apiv3",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
ApiManagementCreateApiUsingImportOverrideServiceUrl
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview
{
"properties": {
"format": "swagger-link",
"path": "petstoreapi123",
"serviceUrl": "http://petstore.swagger.wordnik.com/api",
"value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apidocs",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
"properties": {
"path": "petstoreapi123",
"description": "This is a sample server Petstore server. You can find out more about Swagger \n at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger. For this sample,\n you can use the api key \"special-key\" to test the authorization filters",
"apiRevision": "1",
"displayName": "Swagger Sample App",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.wordnik.com/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apidocs",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
"properties": {
"path": "petstoreapi123",
"description": "This is a sample server Petstore server. You can find out more about Swagger \n at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger. For this sample,\n you can use the api key \"special-key\" to test the authorization filters",
"apiRevision": "1",
"displayName": "Swagger Sample App",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.wordnik.com/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingOai3Import
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "openapi-link",
"path": "petstore",
"value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "openapi-link",
"path": "petstore",
"translateRequiredQueryParameters": "template",
"value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingSwaggerImport
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "swagger-link-json",
"path": "petstore",
"value": "http://petstore.swagger.io/v2/swagger.json"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"http"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"http"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingWadlImport
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "wadl-link-json",
"path": "collector",
"value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "collectorwadl",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
"properties": {
"path": "collector",
"description": "",
"apiRevision": "1",
"displayName": "http://localhost:8080/collector-northbound",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://localhost:8080/collector-northbound",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "collectorwadl",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
"properties": {
"path": "collector",
"description": "",
"apiRevision": "1",
"displayName": "http://localhost:8080/collector-northbound",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://localhost:8080/collector-northbound",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiWithMultipleAuthServers
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"authenticationSettings": {
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
{
"authorizationServerId": "authorizationServerId2284",
"scope": "oauth2scope2581"
}
]
},
"displayName": "apiname1463",
"protocols": [
"https",
"http"
],
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
{
"authorizationServerId": "authorizationServerId2284",
"scope": "oauth2scope2581"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"authenticationSettings": {
"openidAuthenticationSettings": [
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2283"
},
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2284"
}
]
},
"displayName": "apiname1463",
"protocols": [
"https",
"http"
],
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2283"
},
"openidAuthenticationSettings": [
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2283"
},
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2284"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
ApiManagementCreateApiWithOpenIdConnect
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "testopenid"
}
},
"displayName": "Swagger Petstore",
"protocols": [
"https"
],
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "58da4c4ccdae970a08121230",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "testopenid"
}
},
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "58da4c4ccdae970a08121230",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "testopenid"
}
},
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateGraphQLApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "graphql",
"path": "graphql-api",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"http",
"https"
],
"serviceUrl": "https://api.spacex.land/graphql"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "graphql",
"path": "graphql-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://api.spacex.land/graphql",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "graphql",
"path": "graphql-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"https",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://api.spacex.land/graphql",
"subscriptionKeyParameterNames": null
}
}
ApiManagementCreateGrpcApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "grpc",
"format": "grpc-link",
"path": "grpc-api",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"https"
],
"serviceUrl": "https://your-api-hostname/samples",
"value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "grpc",
"path": "grpc-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"https"
],
"serviceUrl": "https://your-api-hostname/samples",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "grpc",
"path": "grpc-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"https"
],
"serviceUrl": "https://your-api-hostname/samples",
"subscriptionKeyParameterNames": null
}
}
ApiManagementCreateODataApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "odata",
"format": "odata-link",
"path": "odata-api",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"http",
"https"
],
"serviceUrl": "https://services.odata.org/TripPinWebApiService",
"value": "https://services.odata.org/TripPinWebApiService/$metadata"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "odata",
"path": "odata-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://services.odata.org/TripPinWebApiService",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "odata",
"path": "odata-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://services.odata.org/TripPinWebApiService",
"subscriptionKeyParameterNames": null
}
}
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview
{
"properties": {
"format": "wsdl-link",
"path": "currency",
"apiType": "soap",
"value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
"wsdlSelector": {
"wsdlEndpointName": "CurrencyConvertorSoap",
"wsdlServiceName": "CurrencyConvertor"
}
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"type": "soap",
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"type": "soap",
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateSoapToRestApiUsingWsdlImport
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview
{
"properties": {
"format": "wsdl-link",
"path": "currency",
"value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
"wsdlSelector": {
"wsdlEndpointName": "CurrencyConvertorSoap",
"wsdlServiceName": "CurrencyConvertor"
}
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateWebSocketApi
要求のサンプル
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "websocket",
"path": "newapiPath",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"wss",
"ws"
],
"serviceUrl": "wss://echo.websocket.org"
}
}
応答のサンプル
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "websocket",
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"ws",
"wss"
],
"provisioningState": "InProgress",
"serviceUrl": "wss://echo.websocket.org",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "websocket",
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"ws",
"wss"
],
"provisioningState": "InProgress",
"serviceUrl": "wss://echo.websocket.org",
"subscriptionKeyParameterNames": null
}
}
定義
| 名前 | 説明 |
|---|---|
|
Api |
API の連絡先情報 |
|
Api |
API の詳細。 |
|
Api |
API のパラメーターの作成または更新。 |
|
Api |
WSDL のインポートをドキュメントのサブセットに制限する条件。 |
|
Api |
API ライセンス情報 |
|
Api |
API の種類。 |
|
Api |
API バージョン セットには、関連する一連の API バージョンの共通構成が含まれています |
|
Authentication |
API 認証設定。 |
|
Bearer |
クライアントがアクセス トークンを要求するために使用する承認付与の形式。 |
|
Content |
API がインポートされるコンテンツの形式。 新しい形式は将来追加される可能性があります |
|
created |
リソースを作成した ID の種類。 |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
OAuth2Authentication |
API OAuth2 認証設定の詳細。 |
|
Open |
API OAuth2 認証設定の詳細。 |
| Protocol | |
|
Soap |
作成する API の種類。
|
|
Subscription |
サブスクリプション キー パラメーター名の詳細。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
|
Translate |
必要なクエリ パラメーターをテンプレートパラメーターに変換する戦略。 既定では、値は 'template' です。 使用可能な値: 'template'、'query' |
|
Versioning |
API バージョン識別子が HTTP 要求内の場所を決定する値。 |
ApiContactInformation
API の連絡先情報
| 名前 | 型 | 説明 |
|---|---|---|
|
string |
連絡先の個人/組織の電子メール アドレス。 電子メール アドレスの形式にする必要があります |
|
| name |
string |
連絡先の個人/組織の識別名 |
| url |
string |
連絡先情報を指す URL。 URL の形式にする必要があります |
ApiContract
API の詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
リソースの名前 |
| properties.apiRevision |
string minLength: 1maxLength: 100 |
API のリビジョンについて説明します。 値が指定されていない場合は、既定のリビジョン 1 が作成されます |
| properties.apiRevisionDescription |
string maxLength: 256 |
API リビジョンの説明。 |
| properties.apiVersion |
string maxLength: 100 |
API がバージョン管理されている場合は、API のバージョン識別子を示します |
| properties.apiVersionDescription |
string maxLength: 256 |
API バージョンの説明。 |
| properties.apiVersionSet |
バージョン セットの詳細 |
|
| properties.apiVersionSetId |
string |
関連する ApiVersionSet のリソース識別子。 |
| properties.authenticationSettings |
この API に含まれる認証設定のコレクション。 |
|
| properties.contact |
API の連絡先情報。 |
|
| properties.description |
string |
API の説明。 HTML 書式設定タグを含めることができます。 |
| properties.displayName |
string minLength: 1maxLength: 300 |
API 名。 長さは 1 ~ 300 文字にする必要があります。 |
| properties.isCurrent |
boolean |
API リビジョンが現在の API リビジョンであるかどうかを示します。 |
| properties.isOnline |
boolean |
ゲートウェイ経由で API リビジョンにアクセスできるかどうかを示します。 |
| properties.license |
API のライセンス情報。 |
|
| properties.path |
string minLength: 0maxLength: 400 |
この API と API Management サービス インスタンス内のすべてのリソース パスを一意に識別する相対 URL。 この API のパブリック URL を形成するために、サービス インスタンスの作成時に指定された API エンドポイントのベース URL に追加されます。 |
| properties.protocols |
Protocol[] |
この API の操作を呼び出すことができるプロトコルについて説明します。 |
| properties.provisioningState |
string |
プロビジョニングの状態 |
| properties.serviceUrl |
string minLength: 0maxLength: 2000 |
この API を実装するバックエンド サービスの絶対 URL。 2,000 文字を超えることはできません。 |
| properties.sourceApiId |
string |
ソース API の API 識別子。 |
| properties.subscriptionKeyParameterNames |
API を使用できるようにするプロトコル。 |
|
| properties.subscriptionRequired |
boolean |
API にアクセスするために API サブスクリプションまたは製品サブスクリプションが必要かどうかを指定します。 |
| properties.termsOfServiceUrl |
string |
API のサービス利用規約への URL。 URL の形式にする必要があります。 |
| properties.type |
API の種類。 |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
ApiCreateOrUpdateParameter
API のパラメーターの作成または更新。
| 名前 | 型 | 説明 |
|---|---|---|
| apiRevision |
string minLength: 1maxLength: 100 |
API のリビジョンについて説明します。 値が指定されていない場合は、既定のリビジョン 1 が作成されます |
| apiRevisionDescription |
string maxLength: 256 |
API リビジョンの説明。 |
| apiVersion |
string maxLength: 100 |
API がバージョン管理されている場合は、API のバージョン識別子を示します |
| apiVersionDescription |
string maxLength: 256 |
API バージョンの説明。 |
| apiVersionSetId |
string |
関連する ApiVersionSet のリソース識別子。 |
| authenticationSettings |
この API に含まれる認証設定のコレクション。 |
|
| contact |
API の連絡先情報。 |
|
| description |
string |
API の説明。 HTML 書式設定タグを含めることができます。 |
| isCurrent |
boolean |
API リビジョンが現在の API リビジョンであるかどうかを示します。 |
| isOnline |
boolean |
ゲートウェイ経由で API リビジョンにアクセスできるかどうかを示します。 |
| license |
API のライセンス情報。 |
|
| properties.apiType |
作成する API の種類。
|
|
| properties.apiVersionSet |
バージョン セットの詳細 |
|
| properties.displayName |
string minLength: 1maxLength: 300 |
API 名。 長さは 1 ~ 300 文字にする必要があります。 |
| properties.format |
API がインポートされるコンテンツの形式。 新しい形式は将来追加される可能性があります |
|
| properties.path |
string minLength: 0maxLength: 400 |
この API と API Management サービス インスタンス内のすべてのリソース パスを一意に識別する相対 URL。 この API のパブリック URL を形成するために、サービス インスタンスの作成時に指定された API エンドポイントのベース URL に追加されます。 |
| properties.protocols |
Protocol[] |
この API の操作を呼び出すことができるプロトコルについて説明します。 |
| properties.provisioningState |
string |
プロビジョニングの状態 |
| properties.serviceUrl |
string minLength: 0maxLength: 2000 |
この API を実装するバックエンド サービスの絶対 URL。 2,000 文字を超えることはできません。 |
| properties.sourceApiId |
string |
ソース API の API 識別子。 |
| properties.translateRequiredQueryParameters |
必要なクエリ パラメーターをテンプレートパラメーターに変換する戦略。 既定では、値は 'template' です。 使用可能な値: 'template'、'query' |
|
| properties.value |
string |
API のインポート時のコンテンツ値。 |
| properties.wsdlSelector |
WSDL のインポートをドキュメントのサブセットに制限する条件。 |
|
| subscriptionKeyParameterNames |
API を使用できるようにするプロトコル。 |
|
| subscriptionRequired |
boolean |
API にアクセスするために API サブスクリプションまたは製品サブスクリプションが必要かどうかを指定します。 |
| termsOfServiceUrl |
string |
API のサービス利用規約への URL。 URL の形式にする必要があります。 |
| type |
API の種類。 |
ApiCreateOrUpdatePropertiesWsdlSelector
WSDL のインポートをドキュメントのサブセットに制限する条件。
| 名前 | 型 | 説明 |
|---|---|---|
| wsdlEndpointName |
string |
WSDL からインポートするエンドポイント (ポート) の名前 |
| wsdlServiceName |
string |
WSDL からインポートするサービスの名前 |
ApiLicenseInformation
API ライセンス情報
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
API に使用されるライセンス名 |
| url |
string |
API に使用されるライセンスの URL。 URL の形式にする必要があります |
ApiType
API の種類。
| 値 | 説明 |
|---|---|
| http | |
| soap | |
| websocket | |
| graphql | |
| odata | |
| grpc |
ApiVersionSetContractDetails
API バージョン セットには、関連する一連の API バージョンの共通構成が含まれています
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
API バージョン セットの説明。 |
| id |
string |
既存の API バージョン セットの識別子。 新しいバージョン セットを作成するには、この値を省略します。 |
| name |
string |
API バージョン セットの表示名。 |
| versionHeaderName |
string |
versioningScheme が |
| versionQueryName |
string |
versioningScheme が |
| versioningScheme |
API バージョン識別子が HTTP 要求内の場所を決定する値。 |
AuthenticationSettingsContract
API 認証設定。
| 名前 | 型 | 説明 |
|---|---|---|
| oAuth2 |
OAuth2 認証の設定 |
|
| oAuth2AuthenticationSettings |
この API に含まれる OAuth2 認証設定のコレクション。 |
|
| openid |
OpenID Connect の認証設定 |
|
| openidAuthenticationSettings |
この API に含まれる Open ID Connect 認証設定のコレクション。 |
BearerTokenSendingMethods
クライアントがアクセス トークンを要求するために使用する承認付与の形式。
| 値 | 説明 |
|---|---|
| authorizationHeader |
アクセストークンは、Bearerスキーマを使用してAuthorizationヘッダーで送信されます |
| query |
アクセストークンはクエリパラメータとして送信されます。 |
ContentFormat
API がインポートされるコンテンツの形式。 新しい形式は将来追加される可能性があります
| 値 | 説明 |
|---|---|
| wadl-xml |
コンテンツはインラインで、コンテンツ・タイプは WADL 文書です。 |
| wadl-link-json |
WADL ドキュメントは、パブリックにアクセス可能なインターネットアドレスでホストされます。 |
| swagger-json |
コンテンツはインラインで、コンテンツタイプはOpenAPI 2.0 JSONドキュメントです。 |
| swagger-link-json |
OpenAPI 2.0 JSON ドキュメントは、パブリックにアクセス可能なインターネットアドレスでホストされます。 |
| wsdl |
内容はインラインで、文書は WSDL/Soap 文書です。 |
| wsdl-link |
WSDL 文書は、パブリックにアクセス可能なインターネットアドレスでホストされます。 |
| openapi |
コンテンツはインラインで、コンテンツタイプはOpenAPI 3.0 YAMLドキュメントです。 |
| openapi+json |
コンテンツはインラインで、コンテンツタイプはOpenAPI 3.0 JSONドキュメントです。 |
| openapi-link |
OpenAPI 3.0 YAML ドキュメントは、パブリックにアクセス可能なインターネットアドレスでホストされます。 |
| openapi+json-link |
OpenAPI 3.0 JSON ドキュメントは、パブリックにアクセス可能なインターネットアドレスでホストされます。 |
| graphql-link |
パブリックにアクセス可能なインターネットアドレスでホストされる GraphQL API エンドポイント。 |
| odata |
コンテンツはインラインで、コンテンツ タイプは OData XML ドキュメントです。 |
| odata-link |
パブリックにアクセス可能なインターネット アドレスでホストされている OData メタデータ ドキュメント。 |
| grpc |
コンテンツはインラインで、コンテンツタイプはgRPC protobufファイルです。 |
| grpc-link |
gRPC protobuf ファイルは、パブリックにアクセス可能なインターネット アドレスでホストされます。 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細です。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
OAuth2AuthenticationSettingsContract
API OAuth2 認証設定の詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| authorizationServerId |
string |
OAuth 承認サーバー識別子。 |
| scope |
string |
操作スコープ。 |
OpenIdAuthenticationSettingsContract
API OAuth2 認証設定の詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| bearerTokenSendingMethods |
サーバーにトークンを送信する方法。 |
|
| openidProviderId |
string |
OAuth 承認サーバー識別子。 |
Protocol
| 値 | 説明 |
|---|---|
| http | |
| https | |
| ws | |
| wss |
SoapApiType
作成する API の種類。
-
httpREST API を作成します。 -
soapSOAP パススルー API を作成します。 -
websocketWebSocket API を作成します。 -
graphqlGraphQL API を作成します。 新しい型は、今後追加される可能性があります。
| 値 | 説明 |
|---|---|
| http |
RESTful フロントエンドを持つ SOAP API をインポートします。 |
| soap |
SOAP フロントエンドを持つ SOAP API をインポートします。 |
| websocket |
Websocketフロントエンドを持つAPIをインポートします。 |
| graphql |
GraphQL フロントエンドを持つ API をインポートします。 |
| odata |
ODataフロントエンドを持つAPIをインポートします。 |
| grpc |
gRPC フロントエンドを持つ API をインポートします。 |
SubscriptionKeyParameterNamesContract
サブスクリプション キー パラメーター名の詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| header |
string |
サブスクリプション キーのヘッダー名。 |
| query |
string |
サブスクリプション キークエリ文字列パラメーター名。 |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |
TranslateRequiredQueryParametersConduct
必要なクエリ パラメーターをテンプレートパラメーターに変換する戦略。 既定では、値は 'template' です。 使用可能な値: 'template'、'query'
| 値 | 説明 |
|---|---|
| template |
必要なクエリ パラメーターをテンプレート パラメーターに変換します。 既定値です |
| query |
必要なクエリパラメータはそのままにしてままにします(変換は行われません)。 |
VersioningScheme
API バージョン識別子が HTTP 要求内の場所を決定する値。
| 値 | 説明 |
|---|---|
| Segment |
API バージョンはパス セグメントで渡されます。 |
| Query |
API バージョンはクエリ パラメーターで渡されます。 |
| Header |
API バージョンは HTTP ヘッダーで渡されます。 |